Node Generate Tags
Generate proposed tags for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
Generate proposed tags for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
storyden-session<token>node_slug*stringUnique node Slug.
xidapplication/json- body
A request for generated tags for a node. A request for generated tags does not use the existing content on a node but takes the current client's content state (from an "edit mode" text box for example) and sends that in order to generate potential tags using an LLM.
content*stringNode tags generated.
application/json- response
The result of a tag generation request from an LLM.
tags*array<>curl -X POST 'https://example.com/api/nodes/string/tags' \ -H 'Content-Type: application/json' \ -d '{ "content": "string"}'{ "tags": [ "string" ]}Node Generate Content POST
Generate proposed content for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
Node Generate Title POST
Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.